@import url('https://fonts.googleapis.com/css2?family=Bai+Jamjuree&display=swap');

/*
font-family: 'Bai Jamjuree', sans-serif;
font-family: 'Exo 2', sans-serif;
font-family: 'Poiret One', cursive;
font-family: 'Press Start 2P', cursive;
font-family: 'Sigmar One', cursive;
*/

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Bai Jamjuree', sans-serif;
    font-weight: bold;

}

body {
    display: flex;
    width: 100%;
    height: 100vh;
    align-items: center;
    justify-content: center;
    background: radial-gradient(farthest-corner at 20% 0%, rgb(32, 32, 32), rgb(0, 0, 0));
}

/*
closet-side
farthest-side
closet-corner
farthest-corner
*/

.container {
    margin: 10px;
    width: auto;
    height: auto;
    padding: 25px;
    border-radius: 10px;
    background: linear-gradient(135deg, rgb(47, 47, 47), rgb(63, 63, 63));
    box-shadow:
        inset 3px 3px 5px rgb(53, 53, 53),
        inset 5px 5px 15px rgba(151, 151, 151, 0.424),
        inset -3px -3px 5px rgba(90, 90, 90, 0.096),
        inset -5px -5px 20px rgba(0, 0, 0, 0.761);
}

.wrapper {
    gap: 15px;
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(4, 60px);
    grid-auto-rows: 60px;
}

#visor {
    grid-column-start: 2;
    grid-column-end: 5;
    text-align: right;
    padding: 0 15px;
    border: 3px solid gray;
    background-color: rgb(90, 90, 90);
    color: rgb(255, 119, 0);
    text-shadow: 0 0 2px rgb(255, 119, 0);
    box-shadow: 0 0 3px rgb(255, 119, 0),
        inset 1px 1px 3px rgb(90, 90, 90),
        inset 2px 2px 4px rgba(255, 255, 255, 0.323),
        inset -1px -1px 3px rgb(90, 90, 90),
        inset -2px -2px 4px rgba(0, 0, 0, 0.323);

}

.fa-solid {
    font-size: 45px;
    align-self: center;
    justify-self: center;
    border-radius: 50%;
    animation: animate 8s linear infinite;
    color: rgb(255, 119, 0);
}

.fa-solid:hover {
    text-shadow: 0 0 10px rgba(255, 255, 255, 0.312),
        0 0 10px rgb(255, 119, 0);
}

.btn {
    border-radius: 50%;
    font-size: large;
    color: rgb(255, 119, 0);
    background-color: rgb(33, 33, 33);
    border: 3px solid gray;
    box-shadow:
        inset 1px 1px 3px rgb(33, 33, 33),
        inset 2px 2px 4px rgba(164, 164, 164, 0.323),
        inset -1px -1px 3px rgb(90, 90, 90),
        inset -2px -2px 4px rgba(0, 0, 0, 0.323),
        0 0 3px rgb(255, 119, 0);
    text-shadow: 0 0 2px rgb(255, 119, 0);
    cursor: pointer;
}

#btnIgual {
    grid-column-start: 1;
    grid-column-end: 4;
}

.btn:hover {
    animation: hoverBtn 0.1s linear;
    transform: scale(1.1);
    border: 3px solid rgb(255, 119, 0);
    text-shadow:
        0 0 10px rgba(255, 255, 255, 0.312),
        0 0 4px rgb(255, 119, 0);
    box-shadow:
        0 0 5px rgb(255, 255, 255),
        0 0 10px rgb(255, 119, 0),
        inset 1px 1px 3px rgb(33, 33, 33),
        inset 2px 2px 5px rgba(255, 119, 0, 0.34),
        inset -1px -1px 3px rgb(90, 90, 90),
        inset -2px -2px 5px rgba(255, 119, 0, 0.405);
}

#btnIgual,
#visor {
    border-radius: 30px;
}

@keyframes animate {
    0% {
        transform: rotate(0deg);
    }

    20% {
        transform: rotate(380deg);
    }

    24% {
        transform: rotate(340deg);
    }

    30% {
        transform: rotate(370deg);
    }

    37% {
        transform: rotate(350deg);
    }

    45% {
        transform: rotate(360deg);
    }

    95% {
        transform: rotate(360deg);
    }

    97% {
        transform: rotate(340deg);
    }

    99% {
        transform: rotate(340deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes hoverBtn {
    0% {
        transform: scale(1)
    }

    50% {
        transform: scale(1.25);
    }

    100% {
        transform: scale(1.1);
    }
}